Skip to main content
`Ctrl`+`K`

# MatCoarsenViewFromOptions

View the coarsener from the options database

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenViewFromOptions(MatCoarsen A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the coarsen context

- obj - Optional object that provides the prefix for the option name

- name - command line option (usually `-mat_coarsen_view`)

## Options Database Key

- -mat_coarsen_view [viewertype]:… - the viewer and its options

## Note

        If no value is provided ascii:stdout is used
           ascii[:[filename][:[format][:append]]]    defaults to stdout - format can be one of ascii_info, ascii_info_detail, or ascii_matlab,
                                                      for example ascii::ascii_info prints just the information about the object not all details
                                                      unless :append is given filename opens in write mode, overwriting what was already there
           binary[:[filename][:[format][:append]]]   defaults to the file binaryoutput
           draw[:drawtype[:filename]]                for example, draw:tikz, draw:tikz:figure.tex  or draw:x
           socket[:port]                             defaults to the standard output port
           saws[:communicatorname]                    publishes object to the Scientific Application Webserver (SAWs)

## See Also

`MatCoarsen`, `MatCoarsenView`, `PetscObjectViewFromOptions()`, `MatCoarsenCreate()`

## Level

intermediate

## Location

src/mat/graphops/coarsen/interface/coarsen.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages